# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::CognitiveServices::LuisAuthoring::V2_0
  module Models
    #
    # Properties for creating a new LUIS Application
    #
    class ApplicationCreateObject

      include MsRestAzure

      # @return [String] The culture for the new application. It is the
      # language that your app understands and speaks. E.g.: "en-us". Note: the
      # culture cannot be changed after the app is created.
      attr_accessor :culture

      # @return [String] The domain for the new application. Optional. E.g.:
      # Comics.
      attr_accessor :domain

      # @return [String] Description of the new application. Optional.
      attr_accessor :description

      # @return [String] The initial version ID. Optional. Default value is:
      # "0.1"
      attr_accessor :initial_version_id

      # @return [String] Defines the scenario for the new application.
      # Optional. E.g.: IoT.
      attr_accessor :usage_scenario

      # @return [String] The name for the new application.
      attr_accessor :name


      #
      # Mapper for ApplicationCreateObject class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'ApplicationCreateObject',
          type: {
            name: 'Composite',
            class_name: 'ApplicationCreateObject',
            model_properties: {
              culture: {
                client_side_validation: true,
                required: true,
                serialized_name: 'culture',
                type: {
                  name: 'String'
                }
              },
              domain: {
                client_side_validation: true,
                required: false,
                serialized_name: 'domain',
                type: {
                  name: 'String'
                }
              },
              description: {
                client_side_validation: true,
                required: false,
                serialized_name: 'description',
                type: {
                  name: 'String'
                }
              },
              initial_version_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'initialVersionId',
                type: {
                  name: 'String'
                }
              },
              usage_scenario: {
                client_side_validation: true,
                required: false,
                serialized_name: 'usageScenario',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
